curl "https://api.haau3.com/v1/fhir/r4/InsurancePlan/H2406-013-000" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const insurancePlan = await haau3.readInsurancePlan("H2406-013-000");
console.log(insurancePlan.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
insurance_plan = client.read_insurance_plan("H2406-013-000")
print(insurance_plan.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
insurancePlan, err := client.ReadInsurancePlan(ctx, "H2406-013-000")
if err != nil {
log.Fatal(err)
}
if insurancePlan.ID != nil {
fmt.Println(*insurancePlan.ID)
}
}
{
"resourceType": "InsurancePlan",
"id": "H2406-013-000",
"meta": {
"profile": [
"https://haau3.com/fhir/StructureDefinition/haau3-insurance-plan",
"http://hl7.org/fhir/us/insurance-card/StructureDefinition/sbc-insurance-plan|2.0.0-ballot"
]
},
"contained": [
{
"resourceType": "Organization",
"id": "issuer",
"identifier": [
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/payor-identifier-types-cs",
"code": "cms-contract-id",
"display": "CMS Contract ID"
}
]
},
"system": "https://haau3.com/fhir/NamingSystem/cms-ma-contract-id",
"value": "H2406"
}
],
"name": "UnitedHealthcare",
"alias": [
"CARE IMPROVEMENT PLUS SOUTH CENTRAL INSURANCE CO."
]
},
{
"resourceType": "Location",
"id": "state-FL",
"physicalType": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
"code": "jdn",
"display": "Jurisdiction"
}
]
},
"address": {
"state": "FL"
}
}
],
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-source-release",
"extension": [
{
"url": "release",
"valueString": "ma-2027-2026-10-01"
},
{
"url": "file",
"extension": [
{
"url": "downloadUrl",
"valueUri": "https://www.cms.gov/files/zip/pbp-benefits-2027.zip"
},
{
"url": "lastModified",
"valueDate": "2026-10-01"
},
{
"url": "sha256",
"valueString": "6d8430e2ecb51acf3cc8547f12dd73506aa73f0dccf034cc3c3393868576ff47"
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-plan-facts",
"extension": [
{
"url": "specialNeeds",
"valueBoolean": false
},
{
"url": "employerOnly",
"valueBoolean": false
},
{
"url": "partBOnly",
"valueBoolean": false
},
{
"url": "filesCostData",
"valueBoolean": true
},
{
"url": "outOfNetworkBenefit",
"valueBoolean": true
},
{
"url": "pointOfService",
"valueBoolean": false
}
]
}
],
"identifier": [
{
"system": "http://cms.gov/medicare/ma-plan-id",
"value": "H2406-013-000"
},
{
"system": "https://haau3.com/fhir/NamingSystem/cms-ma-bid-id",
"value": "H2406_013_0"
}
],
"type": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/insurance-product-type",
"code": "mediadv",
"display": "Medicare Advantage"
}
]
}
],
"status": "active",
"name": "AARP Medicare Advantage from UHC FL-0021 (PPO)",
"period": {
"start": "2027",
"end": "2027"
},
"ownedBy": {
"reference": "#issuer",
"display": "UnitedHealthcare"
},
"contact": [
{
"purpose": {
"text": "General Questions"
},
"telecom": [
{
"system": "phone",
"value": "(866)627-7806"
},
{
"system": "url",
"value": "AARPMedicarePlans.com"
}
]
},
{
"purpose": {
"text": "Provider directory"
},
"telecom": [
{
"system": "url",
"value": "AARPMedicarePlans.com"
}
]
}
],
"coverageArea": [
{
"reference": "#state-FL"
}
],
"coverage": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
"code": "HIP",
"display": "health insurance plan policy"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
}
}
]
}
],
"plan": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8a2",
"display": "Lab Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a2",
"display": "Observation Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "qualifier",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "6",
"display": "Home Health Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 50,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-plan-type",
"code": "PPO",
"display": "Preferred Provider Organization (PPO)"
}
],
"text": "Local PPO"
},
"coverageArea": [
{
"reference": "#state-FL"
}
],
"generalCost": [
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-general-cost-type",
"code": "monthly-premium",
"display": "Monthly premium"
}
],
"text": "Monthly premium"
},
"cost": {
"value": 0,
"currency": "USD"
}
},
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-general-cost-type",
"code": "part-b-premium-reduction",
"display": "Part B premium reduction"
}
],
"text": "Part B premium reduction"
},
"comment": "None"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "out",
"display": "Out of Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "deductible",
"display": "Deductible"
}
],
"text": "Individual Deductible"
},
"cost": {
"value": 1000,
"currency": "USD"
},
"comment": "Out of network, for medical care"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "in",
"display": "In Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"cost": {
"value": 7150,
"currency": "USD"
},
"comment": "In network, for medical care"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "out",
"display": "Out of Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"comment": "Out of network, for medical care: none"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "combined",
"display": "In and out of network combined"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"cost": {
"value": 10750,
"currency": "USD"
},
"comment": "In and out of network combined, for medical care"
}
],
"specificCost": [
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 45,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 100,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Copay waived if admitted to the hospital within 24 hours"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 130,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 130,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Benefit period (in network): Per Admission or Per Stay"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 5,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 6,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 90,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 500,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 500,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 320,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 320,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 100,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 25,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 25,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 380,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 380,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Benefit period (in network): Original Medicare"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 20,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 21,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 100,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 221,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 100,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 250,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
}
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Read a plan
Read one plan by its id. A Medicare Advantage plan’s id is CMS’s plan id with the segment in three digits (H2406-013-000); a Marketplace plan’s is its HIOS plan id with the variant (19898FL0340001-01). The plan conforms to the haau3 Plan Benefits profile and to the SBC InsurancePlan profile of the CARIN Digital Insurance Card guide, 2.0.0-ballot, and names the CMS release it was read from.
curl "https://api.haau3.com/v1/fhir/r4/InsurancePlan/H2406-013-000" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const insurancePlan = await haau3.readInsurancePlan("H2406-013-000");
console.log(insurancePlan.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
insurance_plan = client.read_insurance_plan("H2406-013-000")
print(insurance_plan.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
insurancePlan, err := client.ReadInsurancePlan(ctx, "H2406-013-000")
if err != nil {
log.Fatal(err)
}
if insurancePlan.ID != nil {
fmt.Println(*insurancePlan.ID)
}
}
{
"resourceType": "InsurancePlan",
"id": "H2406-013-000",
"meta": {
"profile": [
"https://haau3.com/fhir/StructureDefinition/haau3-insurance-plan",
"http://hl7.org/fhir/us/insurance-card/StructureDefinition/sbc-insurance-plan|2.0.0-ballot"
]
},
"contained": [
{
"resourceType": "Organization",
"id": "issuer",
"identifier": [
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/payor-identifier-types-cs",
"code": "cms-contract-id",
"display": "CMS Contract ID"
}
]
},
"system": "https://haau3.com/fhir/NamingSystem/cms-ma-contract-id",
"value": "H2406"
}
],
"name": "UnitedHealthcare",
"alias": [
"CARE IMPROVEMENT PLUS SOUTH CENTRAL INSURANCE CO."
]
},
{
"resourceType": "Location",
"id": "state-FL",
"physicalType": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
"code": "jdn",
"display": "Jurisdiction"
}
]
},
"address": {
"state": "FL"
}
}
],
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-source-release",
"extension": [
{
"url": "release",
"valueString": "ma-2027-2026-10-01"
},
{
"url": "file",
"extension": [
{
"url": "downloadUrl",
"valueUri": "https://www.cms.gov/files/zip/pbp-benefits-2027.zip"
},
{
"url": "lastModified",
"valueDate": "2026-10-01"
},
{
"url": "sha256",
"valueString": "6d8430e2ecb51acf3cc8547f12dd73506aa73f0dccf034cc3c3393868576ff47"
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-plan-facts",
"extension": [
{
"url": "specialNeeds",
"valueBoolean": false
},
{
"url": "employerOnly",
"valueBoolean": false
},
{
"url": "partBOnly",
"valueBoolean": false
},
{
"url": "filesCostData",
"valueBoolean": true
},
{
"url": "outOfNetworkBenefit",
"valueBoolean": true
},
{
"url": "pointOfService",
"valueBoolean": false
}
]
}
],
"identifier": [
{
"system": "http://cms.gov/medicare/ma-plan-id",
"value": "H2406-013-000"
},
{
"system": "https://haau3.com/fhir/NamingSystem/cms-ma-bid-id",
"value": "H2406_013_0"
}
],
"type": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/insurance-product-type",
"code": "mediadv",
"display": "Medicare Advantage"
}
]
}
],
"status": "active",
"name": "AARP Medicare Advantage from UHC FL-0021 (PPO)",
"period": {
"start": "2027",
"end": "2027"
},
"ownedBy": {
"reference": "#issuer",
"display": "UnitedHealthcare"
},
"contact": [
{
"purpose": {
"text": "General Questions"
},
"telecom": [
{
"system": "phone",
"value": "(866)627-7806"
},
{
"system": "url",
"value": "AARPMedicarePlans.com"
}
]
},
{
"purpose": {
"text": "Provider directory"
},
"telecom": [
{
"system": "url",
"value": "AARPMedicarePlans.com"
}
]
}
],
"coverageArea": [
{
"reference": "#state-FL"
}
],
"coverage": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
"code": "HIP",
"display": "health insurance plan policy"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
}
},
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
}
}
]
}
],
"plan": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8a2",
"display": "Lab Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a2",
"display": "Observation Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "qualifier",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-additional-benefit",
"extension": [
{
"url": "category",
"valueCodeableConcept": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "6",
"display": "Home Health Services"
}
]
}
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
},
{
"url": "cost",
"extension": [
{
"url": "type",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
}
},
{
"url": "applicability",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
}
},
{
"url": "amount",
"valueQuantity": {
"value": 50,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-plan-type",
"code": "PPO",
"display": "Preferred Provider Organization (PPO)"
}
],
"text": "Local PPO"
},
"coverageArea": [
{
"reference": "#state-FL"
}
],
"generalCost": [
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-general-cost-type",
"code": "monthly-premium",
"display": "Monthly premium"
}
],
"text": "Monthly premium"
},
"cost": {
"value": 0,
"currency": "USD"
}
},
{
"type": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-general-cost-type",
"code": "part-b-premium-reduction",
"display": "Part B premium reduction"
}
],
"text": "Part B premium reduction"
},
"comment": "None"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "out",
"display": "Out of Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "deductible",
"display": "Deductible"
}
],
"text": "Individual Deductible"
},
"cost": {
"value": 1000,
"currency": "USD"
},
"comment": "Out of network, for medical care"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "in",
"display": "In Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"cost": {
"value": 7150,
"currency": "USD"
},
"comment": "In network, for medical care"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "out",
"display": "Out of Network"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"comment": "Out of network, for medical care: none"
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-scope",
"extension": [
{
"url": "network",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "combined",
"display": "In and out of network combined"
}
},
{
"url": "member",
"valueCoding": {
"system": "http://terminology.hl7.org/CodeSystem/benefit-unit",
"code": "individual",
"display": "Individual"
}
},
{
"url": "appliesTo",
"valueCoding": {
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-scope",
"code": "medical",
"display": "Medical"
}
}
]
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/coverage-copay-type",
"code": "maxoutofpocket",
"display": "Maximum out of pocket"
}
],
"text": "Individual Out-of-Pocket Maximum"
},
"cost": {
"value": 10750,
"currency": "USD"
},
"comment": "In and out of network combined, for medical care"
}
],
"specificCost": [
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "primary-care-visit",
"display": "Primary Care Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7a",
"display": "Primary Care Physician Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 45,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "specialist-visit",
"display": "Specialist Visit"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7d",
"display": "Physician Specialist Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 100,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "urgent-care",
"display": "Urgent Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4b",
"display": "Urgently Needed Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 50,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Copay waived if admitted to the hospital within 24 hours"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-room-care",
"display": "Emergency Room Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "4a",
"display": "Emergency Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 130,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "one-price-both-networks",
"display": "One price in and out of network"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 130,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Benefit period (in network): Per Admission or Per Stay"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-inpatient",
"display": "Hospital Inpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "1a",
"display": "Inpatient Hospital-Acute"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 5,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 6,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 90,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "hospital-outpatient",
"display": "Hospital Outpatient Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9a1",
"display": "Outpatient Hospital Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 550,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "facility-fee",
"display": "Facility Fee"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "9b",
"display": "Ambulatory Surgical Center (ASC) Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 500,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 500,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "imaging",
"display": "Imaging (CT/PET/MRI)"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "8b1",
"display": "Diagnostic Radiological Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 320,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 320,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay-percent",
"display": "Copayment Percent per service"
}
],
"text": "Coinsurance"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "%",
"system": "http://unitsofmeasure.org",
"unit": "%"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "rehabilitation",
"display": "Rehabilitation Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7i",
"display": "Physical Therapy and Speech-Language Pathology Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 65,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 100,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "mental-health-outpatient",
"display": "Mental/Behavioral Health Outpatient Services"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "7e1",
"display": "Individual Sessions for Mental Health Specialty Services"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-cost-range",
"valueRange": {
"low": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
},
"high": {
"value": 25,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 25,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD",
"comparator": "<="
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 40,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
},
"benefit": [
{
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "emergency-medical-transport",
"display": "Emergency Medical Transportation"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "10a1",
"display": "Ground Ambulance Services"
}
]
},
"cost": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 380,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 380,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
},
{
"category": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
},
"benefit": [
{
"extension": [
{
"url": "http://hl7.org/fhir/us/insurance-card/StructureDefinition/benefit-limitation",
"extension": [
{
"url": "limitText",
"valueString": "Benefit period (in network): Original Medicare"
}
]
}
],
"type": {
"coding": [
{
"system": "http://hl7.org/fhir/us/insurance-card/CodeSystem/sbc-benefit-category",
"code": "skilled-nursing",
"display": "Skilled Nursing Care"
},
{
"system": "https://haau3.com/fhir/CodeSystem/cms-pbp-service-category",
"code": "2",
"display": "Skilled Nursing Facility (SNF)"
}
]
},
"cost": [
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 20,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 21,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 100,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "in-network",
"display": "In Network"
}
]
},
"value": {
"value": 221,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"extension": [
{
"url": "https://haau3.com/fhir/StructureDefinition/plan-benefits-day-range",
"valueRange": {
"low": {
"value": 1,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
},
"high": {
"value": 100,
"code": "d",
"system": "http://unitsofmeasure.org",
"unit": "d"
}
}
}
],
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-day",
"display": "Per day"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 250,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
},
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "copay",
"display": "Copayment per service"
}
],
"text": "Copayment"
},
"qualifiers": [
{
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/plan-benefits-cost-qualifier",
"code": "per-stay",
"display": "Per stay"
}
]
}
],
"applicability": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/applicability",
"code": "out-of-network",
"display": "Out of Network"
}
]
},
"value": {
"value": 0,
"code": "USD",
"system": "urn:iso:std:iso:4217",
"unit": "USD"
}
}
]
}
]
}
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
Your platform API key (haau3_sk_…), sent as Authorization: Bearer <key>.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
The plan's id: H2406-013-000 or 19898FL0340001-01.
^[A-Za-z0-9\-.]{1,64}$Response
The InsurancePlan.
A FHIR R4 InsurancePlan.
"InsurancePlan"